complexType "CollateralValueAllocation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | type?, value*
</...>

Content Model Elements (2):

  type (in collateralValueAllocation), | value (in collateralValueAllocation)

All Direct / Indirect Based Elements (1):

  collateralValueAllocation

Known Usage Locations

- As direct type of elements (1):
  collateralValueAllocation

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="CollateralValueAllocation"> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="CollateralValueAllocationEnum"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="value" type="Money"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
type

  Type: | CollateralValueAllocationEnum, simple content

  The type of allocation e.g. Full or ExcessOverMargin
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Buffer" | - | The amount that is being allocated from a buffer account. A buffer account is meant to hold funds that the FCM can use to cover the liability of any client. In effect, the FCM has provided funds that are available to meet its customers’ needs and the DCO may use such collateral to meet a default by a customer to the same extent as if the customer provided the collateral. See: http://www.FpML.org
  "Full" | - | The full amount is being allocated See: http://www.FpML.org
  "ExcessOverMargin" | - | The allocated amount is an excess over the margin requirement See: http://www.FpML.org
  "Margin" | - | The allocated amount for margin requirement See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="CollateralValueAllocationEnum"/>

value

  Type: | Money, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="value" type="Money"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.